=== debian/changelog ===
xymon (4.3.17-6+deb8u2) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * This update is based on Axel Beckert's 4.3.28-2+deb9u1 update. Thanks!
  * Apply minimal upstream security patch to fix several (server-only)
    vulnerabilities reported upstream by Graham Rymer:
    + CVE-2019-13451: service overflows histlogfn in history.c.
    + CVE-2019-13452: service overflows histlogfn in reportlog.c.
    + CVE-2019-13273: srdb overflows dbfn in csvinfo.c.
    + CVE-2019-13274: reflected XSS in csvinfo.c.
    + CVE-2019-13455: htmlquoted(hostname) overflows msgline in
      acknowledge.c.
    + CVE-2019-13484: htmlquoted(xymondreq) overflows errtxt appfeed.c.
    + CVE-2019-13485: hostname overflows selfurl in history.c.
    + CVE-2019-13486: htmlquoted(xymondreq) overflows errtxt in
      svcstatus.c.
    + Closes: #935470
  * Include hostname validation regression fixes from 4.3.30, too.

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 25 Aug 2019 09:18:13 -0400

xymon (4.3.17-6+deb8u1) jessie-security; urgency=high

  * Security update. Several issues were reported by Markus Krell:
    + Resolve buffer overflow when handling "config" file requests
      (CVE-2016-2054)
    + Restrict "config" files to regular files inside the $XYMONHOME/etc/
      directory (symlinks disallowed). Also, require that the initial filename
      end in '.cfg' by default. (CVE-2016-2055)
    + Resolve shell command injection vulnerability in useradm CGI
      (CVE-2016-2056)
    + Tighten permissions on the xymond BFQ used for message submission to
      restrict access to the xymon user and group. It is now 0620.
      (CVE-2016-2057)
    + Restrict javascript execution in current and historical status messages
      by the addition of appropriate Content-Security-Policy headers to
      prevent XSS attacks. (CVE-2016-2058)

 -- Christoph Berg <myon@debian.org>  Mon, 08 Feb 2016 10:40:49 +0100

xymon (4.3.17-6) unstable; urgency=medium

  [ Axel Beckert ]
  * Add CVE ID to the previous changelog entry.
  * Debconf translations, thanks!
    + ru by Yuri Kozlov (Closes: #776126)
  * Cherry pick two patches from upstream to fix multiple memory leaks.
    (Closes: #778343)

  [ Christian Kastner ]
  * Document license of sha?.* files in debian/copyright (Closes: #775590)

 -- Axel Beckert <abe@debian.org>  Fri, 13 Feb 2015 21:59:49 +0100

xymon (4.3.17-5) unstable; urgency=medium

  [ Christoph Berg ]
  * Restore the lost ROOTFS variable in xymonclient-linux.sh, and patch
    xymond/rrd/do_disk.c to ignore duplicate submissions for the / partition.
    (Closes: #767901)
  * Fix buffer overrun in web/acknowledge.c (Closes: #776007, CVE-2015-1430)
  * Debconf translations, thanks!
    + pt by Américo Monteiro (Closes: #767840)
    + fr by Jean-Pierre Giraud (Closes: #770168)
    + nl by Frans Spiesschaert (Closes: #771182)

  [ Axel Beckert ]
  * Fix aborting installation in cases where a hobbit user exists despite
    hobbit-client was not installed before. (LP: #1407498)

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 22 Jan 2015 17:37:26 +0100

xymon (4.3.17-4) unstable; urgency=medium

  * Add debconf question to disable the automatic migration from hobbit to
    xymon. (hobbit-client/automatic-xymon-migration; default true)

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 23 Oct 2014 14:31:57 +0200

xymon (4.3.17-3) unstable; urgency=low

  [ Axel Beckert ]
  * Fix Vcs-Browser URL and switch it to new cgit web interface.
  * Add README to /etc/xymon/clientlaunch.d listing file name requirements
    (LP: #401393)
  * Overwork package descriptions.
  * Add lintian overrides for init.d-script-depends-on-all-virtual-facility
  * Bump Standards-Version to 3.9.6 (no changes needed).

  [ Christoph Berg ]
  * Rename xymonlaunch-include to tasks-include.
  * Stop providing hobbit-client in the xymon-client init script.

 -- Axel Beckert <abe@debian.org>  Mon, 06 Oct 2014 17:46:28 +0200

xymon (4.3.17-2) unstable; urgency=low

  * Upload to unstable again.

  [ Christoph Berg ]
  *  Always write /var/run/xymon/xymonclient-include.cfg on clients

  [ Axel Beckert ]
  * Add build-dependency on libc-ares-dev to avoid using embedded code
    copy at xymonnet/c-ares-1.7.3.tar.gz
  * Fix includes for graph definitions (xymongraph.d → graphs.d)
    + Add a Breaks for hobbit-plugins << 20140519~
  * Remove reference to /etc/apache2/ from xymon-client.NEWS
  * Fix remaining issues of the Apache 2.2 → 2.4 transition
    (modifies mostly debian/rules, xymon.postinst and xymon.maintscript)
    + Fix conffile paths in README.Debian and xymon.maintscript
    + Use dh_apache2 and apache2-maintscript-helper
    + Add build-dependency on dh-apache2.
    + Add lintian override for missing-build-dependency-for-dh_-command
      (see #748688)
    + Enable Apache's mod_rewrite + CGI support automatically in postinst
    + Add patch to switch default configuration to Apache 2.4 style
      authorization.
    + Closes: #669776
  * Let xymon depend on perl until after the Jessie release to make sure
    prename is there for the data migration from hobbit to xymon.
  * Add lintian override for apache2-reverse-dependency-calls-invoke-rc.d
    -- it finds the fallback for apache2-maintscript-helper unavailability

 -- Axel Beckert <abe@debian.org>  Tue, 20 May 2014 22:56:11 +0200

xymon (4.3.17-1) experimental; urgency=low

  [ Axel Beckert ]
  * New upstream release
    - Fixes remote file deletion vulnerability (Closes: #717895,
      CVE-2013-4173)
    - Refreshed and updated patches where needed
  * Apache 2.2 → 2.4 Migration:
    + Rename /etc/apache2/conf.d/xymon to …/conf-available/xymon.conf
      (Fixes lintian warnings non-standard-apache2-configuration-name and
      apache2-reverse-dependency-uses-obsolete-directory)
  * Add -W option to "netstat -ant" in client/xymonclient-linux.sh to
    avoid IPv6 address truncating in ports check. (Closes: #734867)

