=== debian/watch ===
version=3
options="dversionmangle=s/\.dfsg$//,uversionmangle=s/-beta/~beta/,uversionmangle=s/-RC/~rc/" \
http://sf.net/xymon/xymon-([0-9][-.a-zA-Z0-9]{0,10}).tar.gz
