=== debian/changelog ===
xymon (4.3.21-1) unstable; urgency=medium

  * New upstream release
    + Drop patch acknowledge-malloc (CVE-2015-1430, fixed upstream)
    + Drop patch fix-xymond-memory-leak (fixed upstream)
    + Drop patch set-initial-size-for-xymondlog-output (dito)
    + Drop patch hobbit-ghosts-menu (obsolete in multiple ways)
    + Refresh and/or update the following patches:
      - 603151-apache-alias
      - apache2.4 (and drop most of it)
      - doc-paths
      - fix-hyphen-used-as-minus-sign
      - fix-spelling-errors
      - hobbit_files_ifexist
      - hobbitclient-debian
      - hobbitvars
      - netstat-ant-vs-ipv6-address-truncating
    + debian/rules: Don't remove files which are no more there
    + Ignore false positive lintian warnings about <IfModule>-safeguarded
      Apache 2.2 directives
  * debian/watch: Merge the two uversionmangles into one, add /i.
  * Updated debconf translations:
    + Danish by Joe Dalton (Closes: #781335)
    + Swedish by Martin Bagge (Closes: #781679)
  * debian/gbp.conf: Rename old-style config section [git-import-orig] to
    [import-orig]
  * Add lintian overrides for package-contains-hardlink. Xymon server is
    not suitable for installation on a network file system anyways and
    cgi-bin and cgi-secure are likely always on the same file
    system. (Upstream introduced these hardlinks in 4.3.20, see
    http://lists.xymon.com/archive/2015-May/041718.html for the
    discussion.)
  * Add patch to workaround changed "ntpdate -p 2" behaviour by making its
    "-p" option configurable via xymonserver.cfg and default to "1"
    instead of "2".  (Closes: #776664)

 -- Axel Beckert <abe@debian.org>  Thu, 28 May 2015 00:09:48 +0200
