=== debian/rules ===
--- 
+++ 
@@ -106,7 +106,6 @@
 	# the only command needed in /usr/bin is xymoncmd, its PATH includes our private .../bin
 	cd $C/usr/bin && ln -s ../lib/xymon/client/bin/xymoncmd xymoncmd
 	cp debian/xymon-client.default.template $C/usr/share/xymon/xymon-client.default.template
-	rm $C/usr/lib/xymon/client/runclient.sh
 ifneq (,$(findstring kfreebsd,$(shell dpkg --print-architecture)))
 	# kfreebsd support
 	install -m644 debian/kfreebsd.cfg $C/etc/xymon/xymonclient.d/kfreebsd.cfg
