## xymon 4.3.22

=== debian/changelog ===
xymon (4.3.22-1) unstable; urgency=medium

  * New upstream release.
  * Add patch to fix spelling issues found by lintian (and similar ones).
  * Add patch to fix syntax errors in man pages.

 -- Axel Beckert <abe@debian.org>  Sun, 08 Nov 2015 22:38:56 +0100

xymon (4.3.22~rc2-1) unstable; urgency=high

  * New upstream release candidate
  * Fix typo in previous changelog entry.
  * Add patch to remove any occurrence of SSLv3_client_method, it has been
    removed from Debian's OpenSSL package.
    + Set urgency=high as this fixes a FTBFS.
    + Bump minimum libssl-dev build-dependency to 1.0.2d-2~
  * Actually also remove from debian/patches/ all patches which were just
    disabled in the previous upload.

 -- Axel Beckert <abe@debian.org>  Wed, 04 Nov 2015 00:51:56 +0100

xymon (4.3.22~beta-1) unstable; urgency=low

  * Rename all patches to sport a number prefix and a ".patch" suffix.
  * New upstream beta release
    + Refresh the following patches:
      - 12_hobbitvars.patch
      - 24_hobbitclient-tmpfs.patch
      - 27_hobbit_files_ifexist.patch
      - 30_prefer-packaged-temp-plugin-over-unpackaged-devmon.patch.
    + Drop the following obsolete patches:
      - 06_603151-apache-alias.patch (applied upstream)
      - 18_rrd_net_granularity.patch (applied upstream)
      - 21_hobbitgraph.mailq.patch (applied upstream)
      - 36_580493-negative-timeoffset.patch (applied upstream)
      - 54_fix-spelling-errors.patch (applied upstream)
      - 57_fix-hyphen-used-as-minus-sign.patch (applied upstream)
      - 60_fix-exp-values-in-ncv.patch (applied upstream)
      - 72_workaround-changed-ntpdate-behaviour.patch (solved properly)
      - 75_cherry-pick-r7669-fix-zombies-after-dropping-host-records.patch
        (was cherry-picked from the 4.3.22 release cycle)
      - 78_fix-wmlgen-segfault.patch (has been applied as proposed by
        upstream)

 -- Axel Beckert <abe@debian.org>  Fri, 30 Oct 2015 18:26:40 +0100

xymon (4.3.21-2) unstable; urgency=low

  * Add patch to prefer working graphs in the temp plugin from
    hobbit-plugins over supporting temperature values from the
    non-packaged devmon add-on daemon. (Implemented via a modified default
    value of the TEST2RRD setting in xymonserver.cfg.)
  * Add DEP3 patch headers to all remaining patches.
  * Cherry-pick r7669 from upstream 4.x-master branch to fix zombie
    processes after dropping host records.
  * Bump debhelper compatibility to 9 as recommended.
    + Bump version debhelper build-dependency accordingly.
  * Fix misspelling of the GPL's full name in debian/copyright.
  * Add patch by J.C. Cleaver to fix segfaults in xymongen/wmlgen.c

 -- Axel Beckert <abe@debian.org>  Mon, 05 Oct 2015 17:32:44 +0200
