=== debian/control ===
Source: xymon
Section: net
Priority: extra
Maintainer: Christoph Berg <myon@debian.org>
Uploaders: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 9~),
               dh-apache2,
               dpkg-dev (>= 1.16.1~),
               imagemagick,
               libc-ares-dev,
               libldap2-dev (>= 2.4.25-2~),
               libpcre3-dev (>= 8.12-4~),
               librrd-dev,
               libssl-dev (>= 1.0.2d-2~),
               po-debconf,
               procps
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/xymon.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/xymon.git
Homepage: http://xymon.sourceforge.net/

Package: xymon
Architecture: any
Breaks: hobbit (<< 4.2.2),
        hobbit-plugins (<< 20120619)
Provides: hobbit
Replaces: hobbit (<< 4.2.2)
Pre-Depends: ${misc:Pre-Depends}
Depends: xymon-client (>= 4.3.7-1~),
# The dependency on perl is only for prename in postinst script
         perl,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: apache2 | httpd-cgi
Suggests: rrdtool
Description: monitoring system for systems, networks and applications
 Xymon (previously called Hobbit) is a network- and applications-
 monitoring system designed for use in large-scale networks. But it will
 also work just fine on a small network with just a few nodes. It is
 low-overhead and high-performance, with an easy to use web front-end.
 .
 Network services are monitored remotely. Machine health and
 statistics are monitored through a locally installed client package
 (xymon-client). Additional (remote as well as local) checks are
 available in the package hobbit-plugins.
 .
 Alerts can trigger when monitoring detects a problem, resulting in
 e-mails or calls to your pager or mobile phone.
 .
 Xymon has a great deal of inspiration from the non-free Big Brother
 package, but does not include any Big Brother code.

Package: xymon-client
Architecture: any
Breaks: hobbit (<= 4.2.0-1),
        hobbit-client (<< 4.2.2),
        hobbit-plugins (<< 20140519~),
        xymon (<< 4.3.7-1~)
Provides: hobbit-client
Replaces: hobbit-client (<< 4.2.2)
Pre-Depends: debconf (>= 0.5) | debconf-2.0, ${misc:Pre-Depends}
Depends: adduser,
         lsb-base,
         procps,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: xymon-plugins | hobbit-plugins
Description: client for the Xymon network monitor
 Client data collection package for Xymon (previously known as Hobbit).
 .
 This gathers statistics and data from a single system and reports it to
 the Xymon monitor. You should install this package on all systems if you
 have a Xymon server running.
 .
 Additional checks are available in the package hobbit-plugins.
